//
// PDB2POV (Amiga) atom input prepared by pdb2pov 11/24/93 00:19:17 
// Author: Eric G. Suchanek, Ph.D. 
//	Atoms:  320 
//	Extent:	Xmin: -14.788 Xmax: 17.593, 
//		Ymin: -12.908, Ymax: 13.545 
//		Zmin: -15.250 Zmax: 16.752 
//	Enclosing Sphere: 18.844

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "atoms_vdw.inc"
#include "atoms2.inc"
camera {
   location < 0, 0, -40.074611 > 
   direction < 0, 0, 1> 
   up <0, 1, 0> 
   right <4/3, 0, 0> 
   look_at <0, 0, 0> 
}
object { 
  light_source {
     <17.593478, 13.544916, -44.484906> 
     color red 1 green 1 blue 1 
  }
}
/* A nice gradient shaded blue sky with white coulds */ 
sphere { <0, 0, 0>, 3000 
   pigment { 
      gradient <0, 1, 0> 
      colour_map { 
         [0, 0.8  colour red .3   green 0.3 blue 1 
                  colour red 0.7 green 0.7 blue 1] 
         [0.8, 1  colour red 0.7 green 0.7 blue 1 
                  colour red 0.90 green 0.9 blue 1] 
      } 
      scale <3000,  3000,  3000> 
      quick_colour red 0.7  green 0.7 blue 1.0 
   } 
   finish { 
      ambient 0.7 
      diffuse 0   /* we don't want clouds casting shadows on the sky */ 
   } 
} 
 
sphere { <0, 0, 0>, 2590 
   pigment { 
      bozo 
      turbulence 0.5 
      colour_map { 
         [0,   0.6   colour Clear 
                     colour Clear] 
         [0.6, 0.8   colour Clear 
                     colour White] 
         [0.8, 1.001 colour White 
                     colour red 0.8 green 0.8 blue 0.8] 
      } 
      quick_colour red 0.7 green 0.7 blue 1 
      scale <1000, 200, 1000> 
   } 
   finish {ambient 0.7 diffuse 0} 
} 
/* Create the beloved famous raytrace checkered floor */ 
plane { y, -19.521334 
      pigment { 
      checker colour Black colour White 
      scale 9.805667 
     } 
     finish { 
       ambient 0.2 
       diffuse 0.8 
     } 
} 
#declare ATM_SCL = 1.00 
 
#declare crambin_obj = union {
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.856, 4.207, 3.205> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.776, 2.892, 2.492> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.494, 2.863, 1.697> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.077, 3.933, 1.236> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.979, 2.811, 1.493> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.143, 2.937, 2.367> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.959, 1.654, 0.526> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.924, 1.663, 1.565> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.665, 1.577, 0.764> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.973, 0.893, -0.549> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.802, -0.030, -0.613> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.541, 0.819, 1.569> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.117, -0.453, 1.904> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.293, 1.550, 2.935> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.297, 1.349, -1.587> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.469, 0.815, -2.957> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.078, 0.539, -3.493> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.202, 1.416, -3.355> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.177, 1.856, -3.861> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.694, 2.534, -3.186> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.828, -0.620, -4.098> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.455, -0.901, -4.578> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.463, -1.099, -6.089> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.468, -1.596, -6.661> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.866, -2.140, -3.852> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.646, -1.874, -2.074> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.370, -0.784, -6.733> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.257, -0.858, -8.182> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.097, -2.222, -8.776> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.299, -2.373, -9.989> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.961, 0.065, -8.515> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.853, -0.106, -7.284> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.825, -0.088, -6.128> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.316, -3.206, -7.966> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.518, -4.578, -8.449> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.438, -5.516, -7.253> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.465, -5.034, -6.093> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.851, -4.771, -9.166> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.917, -4.672, -8.201> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.310, -6.817, -7.528> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.279, -7.809, -6.428> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.610, -7.802, -5.676> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.521, -7.861, -4.415> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.016, -9.215, -7.094> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.523, -9.190, -7.482> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.380, -10.369, -6.139> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.994, -10.408, -8.312> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.733, -7.730, -6.329> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.046, -7.683, -5.623> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.076, -6.513, -4.631> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.527, -6.624, -3.513> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.196, -7.538, -6.648> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.475, -7.001, -6.039> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.433, -8.860, -7.378> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.585, -5.346, -5.111> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.593, -4.125, -4.252> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.750, -4.365, -3.020> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.139, -3.959, -1.914> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.169, -2.915, -5.061> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.544, -4.983, -3.175> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.695, -5.283, -2.007> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.393, -6.283, -1.046> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.313, -6.114, 0.179> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.656, -5.872, -2.475> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.561, -6.285, -1.319> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.035, -5.193, -0.414> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.952, -4.321, -1.205> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.567, -3.283, -0.613> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.348, -2.960, 0.672> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.410, -2.570, -1.372> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.005, -7.310, -1.615> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.691, -8.308, -0.735> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.809, -7.579, 0.057> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.978, -7.876, 1.273> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.283, -9.430, -1.570> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.201, -10.164, -2.182> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.543, -6.710, -0.616> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.646, -5.957, 0.079> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.084, -5.041, 1.139> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.655, -4.891, 2.213> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.528, -5.215, -0.918> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.389, -6.157, -1.780> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.624, -7.279, -1.335> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.797, -5.640, -2.937> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.932, -4.394, 0.825> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.262, -3.534, 1.775> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.887, -4.314, 3.031> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.055, -3.820, 4.177> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.008, -2.898, 1.076> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.307, -1.886, 1.947> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.285, -2.306, 2.803> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.659, -0.519, 1.847> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.369, -1.353, 3.636> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.015, 0.389, 2.685> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.050, -0.047, 3.538> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.291, -5.502, 2.841> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.860, -6.285, 4.039> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.075, -6.682, 4.915> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.951, -6.748, 6.146> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.046, -7.488, 3.590> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.364, -7.036, 3.100> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.822, -5.997, 3.507> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.929, -7.936, 2.291> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.198, -6.965, 4.259> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.409, -7.293, 5.088> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.895, -6.021, 5.826> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.244, -6.075, 7.019> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.493, -7.939, 4.222> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.807, -8.066, 5.024> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.017, -9.359, 3.825> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.870, -4.905, 5.110> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.301, -3.607, 5.704> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.504, -3.295, 6.941> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.991, -2.745, 7.933> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.152, -2.523, 4.590> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.632, -0.878, 5.181> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.194, -3.665, 6.930> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.296, -3.403, 8.043> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.453, -4.332, 9.239> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.963, -3.991, 10.337> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.821, -3.385, 7.561> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.474, -2.205, 6.624> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.242, -0.945, 7.445> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.021, -1.036, 8.167> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.346, -0.359, 9.261> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.532, 0.458, 9.862> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.602, -0.401, 9.729> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.140, -5.481, 9.034> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.258, -6.461, 10.156> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.794, -5.878, 11.450> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.203, -6.137, 12.517> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.995, -7.708, 9.693> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.231, -8.714, 8.821> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.284, -9.795, 8.464> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.062, -9.286, 9.598> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.862, -5.097, 11.373> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.399, -4.516, 12.627> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.618, -3.352, 13.152> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.931, -2.847, 14.252> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.833, -4.126, 12.302> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.968, -4.198, 10.823> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.770, -4.951, 10.238> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.626, -2.845, 12.389> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.825, -1.701, 12.848> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.184, -0.411, 12.110> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.656, 0.618, 12.560> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.010, -0.454, 11.092> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.424, 0.717, 10.343> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.174, 1.505, 9.872> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.244, 0.865, 9.353> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.199, 0.296, 9.055> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.140, -0.748, 9.453> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.931, 1.457, 8.381> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.220, 2.811, 10.006> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.048, 3.621, 9.526> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.791, 3.341, 8.055> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.706, 3.169, 7.212> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.488, 5.077, 9.750> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.515, 5.001, 10.826> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.227, 3.675, 10.641> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.463, 3.405, 7.751> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.077, 3.211, 6.330> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.764, 4.181, 5.420> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.155, 3.790, 4.290> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.457, 3.393, 6.170> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.249, 2.201, 6.767> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.750, 2.278, 6.439> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.225, 3.333, 6.149> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.348, 1.178, 6.538> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.979, 5.442, 5.864> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.577, 6.425, 4.917> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.979, 6.044, 4.480> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.409, 6.274, 3.335> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.586, 7.803, 5.584> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.746, 5.426, 5.425> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.117, 5.002, 5.074> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.106, 3.751, 4.185> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.876, 3.631, 3.252> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.987, 4.745, 6.368> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.376, 6.156, 6.959> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.288, 3.972, 6.019> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.435, 6.869, 6.073> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.159, 2.872, 4.517> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.011, 1.657, 3.643> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.559, 2.052, 2.234> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.964, 1.360, 1.283> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.153, 0.626, 4.291> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.842, -0.098, 5.808> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.783, 3.120, 2.136> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-3.312, 3.610, 0.804> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.495, 4.016, -0.052> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.663, 3.530, -1.195> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.311, 4.723, 1.000> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.364, 4.910, 0.472> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.500, 5.329, -0.364> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.519, 4.240, -0.604> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.244, 4.220, -1.638> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.205, 6.628, 0.216> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.527, 6.329, 1.600> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.277, 7.847, 0.130> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-7.570, 3.298, 0.319> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.476, 2.153, 0.173> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.066, 1.233, -0.985> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.905, 0.740, -1.715> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.436, 1.337, 1.508> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-9.394, 0.152, 1.476> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-10.738, 0.445, 1.185> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-8.998, -1.142, 1.730> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-11.687, -0.563, 1.157> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-9.992, -2.187, 1.674> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-11.270, -1.861, 1.400> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-12.288, -2.835, 1.372> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.721, 1.092, -1.165> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-6.205, 0.102, -2.120> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.582, 0.613, -3.400> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.425, -0.177, -4.356> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.115, -0.789, -1.395> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.066, 0.135, -0.994> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.698, -1.568, -0.205> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-5.207, 1.872, -3.411> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-4.422, 2.444, -4.530> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.936, 2.351, -4.276> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.154, 2.858, -5.124> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-2.481, 1.739, -3.162> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.051, 1.802, -2.805> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.691, 3.249, -2.376> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.610, 4.057, -2.114> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.687, 0.794, -1.700> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-1.143, -0.905, -2.051> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.602, 3.518, -2.343> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.089, 4.868, -1.993> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.155, 4.766, -0.913> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.780, 3.691, -0.722> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.599, 5.643, -3.255> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.868, 4.911, -3.841> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.493, 5.794, -4.308> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.542, 5.784, -4.951> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.299, 5.881, -0.208> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.361, 5.985, 0.794> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.399, 7.025, 0.270> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.977, 8.114, -0.115> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.796, 6.468, 2.149> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.723, 5.446, 2.667> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.940, 6.625, 3.201> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.960, 6.132, 3.892> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.665, 6.601, 0.294> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.739, 7.562, -0.111> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.722, 7.658, 1.011> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.906, 6.768, 1.860> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.431, 7.103, -1.455> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.169, 5.759, -1.237> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.401, 7.082, -2.604> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.107, 5.314, -2.389> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.473, 8.777, 1.024> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.444, 8.969, 2.092> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.734, 8.150, 1.881> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <11.402, 7.850, 2.885> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.754, 10.472, 2.047> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.047, 11.045, 0.922> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.180, 10.008, 0.234> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.981, 7.838, 0.613> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.261, 7.077, 0.317> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <11.952, 5.586, 0.403> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.947, 5.131, 0.952> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.864, 4.809, -0.202> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.828, 3.350, -0.190> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.753, 2.736, -1.566> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.678, 1.495, -1.605> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <14.055, 2.805, 0.555> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.703, 3.543, -2.606> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <12.745, 3.019, -3.979> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <11.424, 3.299, -4.691> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <11.166, 4.425, -5.118> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <13.940, 3.709, -4.763> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <15.093, 3.509, -3.879> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <14.149, 3.043, -6.132> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.636, 2.218, -4.812> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.313, 2.420, -5.468> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <9.493, 2.559, -6.954> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <10.342, 1.826, -7.532> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.391, 1.225, -5.166> }
object { Atom_S scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.008, 1.037, -3.407> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.689, 3.374, -7.596> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.733, 3.529, -9.047> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.201, 2.314, -9.764> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.461, 1.476, -9.203> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.885, 4.766, -9.315> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.907, 4.797, -8.167> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <7.668, 4.258, -6.949> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.537, 2.232, -11.054> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <8.143, 1.064, -11.861> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.684, 0.796, -12.041> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.243, -0.342, -12.336> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.845, 1.855, -11.885> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.373, 1.681, -12.006> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.745, 1.335, -10.640> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.529, 1.148, -10.598> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.742, 2.845, -12.750> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.949, 4.202, -12.128> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.918, 4.411, -11.382> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <3.076, 5.071, -12.435> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.534, 1.282, -9.595> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.066, 0.853, -8.251> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.084, -0.205, -7.782> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.739, -0.030, -6.738> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.009, 2.022, -7.241> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.809, 2.927, -7.569> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <2.928, 3.961, -8.502> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.584, 2.725, -6.932> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <1.854, 4.783, -8.780> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.485, 3.541, -7.218> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <0.611, 4.564, -8.166> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <-0.451, 5.373, -8.439> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.151, -1.252, -8.592> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.254, -2.225, -8.416> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <5.980, -3.359, -7.450> }
object { Atom_O scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.902, -4.187, -7.209> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <6.489, -2.793, -9.852> }
object { Atom_N scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.775, -3.390, -6.909> }
object { Atom_C scale <ATM_SCL, ATM_SCL, ATM_SCL> translate <4.321, -4.497, -6.048> }
}

#declare crambin = object {
	object { crambin_obj } 
	bounded_by {sphere {<0 0 0> 18.844} }
     } 

object { crambin } 
