/***************************************************************************
 *		  Copyright (C) 1994  Charles P. Peterson                  *
 *	     4007 Enchanted Sun, San Antonio, Texas 78244-1254             *
 *              Email: Charles_P_Peterson@fcircus.sat.tx.us                *
 *                                                                         *
 *		  This is free software with NO WARRANTY.                  *
 *	      See gfft.c, or run program itself, for details.              *
 *		      Support is available for a fee.                      *
 ***************************************************************************
 *
 * Program:     gfft--General FFT analysis
 * File:        errcodes.h
 * Purpose:     console message symbols
 * Author:      Charles Peterson (CPP)
 * History:     3-August-1993 CPP; Created.
 * Comments:    Once again, there is a little cheating here.  Add one error
 *                code, and only messages.c and the code(s) using the new
 *                error code need be recompiled.  BUT, IF YOU CHANGE AN
 *                ERROR CODE, BE SURE TO TOUCH gfft.h TO RECOMPILE
 *                EVERYTHING!
 */

#ifndef ERRCODES_H
#define ERRCODES_H

#define NO_SUCH_COMMAND 	30
#define OUT_OF_MEMORY 		31
#define UNSUPPORTED_COMMAND     32
#define MISSING_ARGUMENT        33
#define BAD_ARGUMENT            34
#define BAD_NAME                35
#define AMBIGUOUS_COMMAND       36
#define BACKUP_CREATED          37
#define OUTPUT_BACKUP_FAILURE   38
#define CANT_CREATE_OUTPUT_FILE 39
#define BACKUP_OVERWRITTEN      40
#define CANT_OPEN_INPUT_FILE    41
#define SCANNING_FILE           42
#define NO_DATA_PRESENT         43
#define PADDING_TAILEND         44
#define AMBIGUOUS_ARGUMENT      45
#define NO_SUCH_ARGUMENT        46
#define NO_NUMERICAL            47
#define INVALID_NUMBER          48
#define TERMINAL_INPUT          49
#define TERMINAL_OUTPUT         50
#define IGNORING_TAILEND        51
#define INSUFFICIENT_DATA       52
#define FILENAME_TOO_LONG       53
#define NO_RATE_SPECIFIED       54
#define NO_READ_FILE            55
#define FILE_FORMAT_IGNORED     56
#define UNSUPPORTED_FORMAT      57
#define CORRUPT_IFF             58
#define COMPRESSION_NOT_SUPPORTED 59
#define ONESHOT_BUT_NOT_8SVX    60
#define FORMAT_NOT_OK           61
#define NOT_ENOUGH_FRAMES       62
#define OCTAVE_NOT_PRESENT      63
#define CORRUPT_AIFF            64
#define CORRUPT_AIFC            65
#define NO_WRITE_FILE           66
#define DB_OF_ZERO              67
#define CANT_CREATE_PLOTTER_FILE 68
#define NO_FILE_REQSTR          69
#define SPEC_CHANNEL_UNAVAIL    70
#define INVALID_BINS_SPEC       71
#define INVALID_INTERLEAVE_SPEC 72
#define CANT_OPEN_INTUITION     73
#define INVALID_SMOOTHING_SPEC  74
#define INVALID_TIMESEG_PARAMETERS 75
#define MISSING_TIMESEG_PARAMETERS 76
#define CANT_CREATE_MORE_COMMAND_FILE 77
#define CANT_CREATE_MESSAGE_FILE 78
#define HELP_MESSAGE_UNAVAILABLE 79
#define HELP_FILE_NOT_FOUND 80
#define CANT_PLOT_FROM_STDOUT 81
#define CANT_RE_OUTPUT 82
#define CANT_RE_PLOT 83
#define INVALID_ROTATION_SPEC 84
#define CHANGED_FORMAT_DEP_VALUE 85
#define INVALID_CALIBRATION_FILE 86
#define CORRUPT_AVR              87
#define STARTUP_FILE_ERROR       88
#define CANT_CLEANUP_BATCH_PLOT  89

#endif /* ifndef ERRCODES_H */
